import * as core from "@terrascript/core";

export interface DxConnectionAssociationArgs extends core.ResourceArgs {
  connectionId: string | core.StringOut;

  lagId: string | core.StringOut;
}

export class DxConnectionAssociation extends core.Resource<DxConnectionAssociationArgs> {
  @core.attr(String)
  public connectionId!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public lagId!: string | core.StringOut;

  constructor(name: string, args?: DxConnectionAssociationArgs) {
    super(name, "aws_dx_connection_association", args);
  }

  public override getNamespace(): string {
    return "aws_direct_connect";
  }
}
